Bug 107902 - anaconda traceback when doing VNC install over telnet
anaconda traceback when doing VNC install over telnet
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
s390 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-24 06:18 EDT by Karsten Hopp
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-16 12:16:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2003-10-24 06:18:05 EDT
Description of problem: 
Anaconda prints out a traceback and aborts the installation when 
vncserver starts. 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
always 
 
Steps to Reproduce: 
1. add vnc to .parm file 
2. start .exec file  
3. telnet to install environment 
4. select install method, enter server and path 
5. ...traceback 
     
Actual results: 
login: root 
Welcome to the Red Hat Linux install environment 1.01 for S/390 
 
Running anaconda, the Red Hat Enterprise Linux system installer - please 
wait... 
Starting VNC... 
The VNC server now running. 
Please connect to devel13.z900.redhat.com:1 to begin the install... 
Traceback (most recent call last): 
  File "/usr/bin/anaconda", line 844, in ? 
    vncconnectport=vncconnectport) 
  File "/usr/bin/anaconda", line 218, in startVNCServer 
    doStartupX11Actions() 
  File "/usr/bin/anaconda", line 238, in doStartupX11Actions 
    import xutils 
ImportError: libX11.so.6: cannot open shared object file: No such file or 
directory 
Connection closed by foreign host. 
 
Expected results: 
normal VNC installation 
 
Additional info:
Comment 2 Jeremy Katz 2003-11-03 15:38:41 EST
Committed something that should fix this to CVS
Comment 3 Jay Turner 2004-01-16 12:16:51 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-344.html

Note You need to log in before you can comment on or make changes to this bug.